=== debian/changelog ===
jstest-gtk (0.1.1~git20090722-2) unstable; urgency=low

  * Acknowledge NMU (thanks Gregor!).
  * Limit architectures to those using Linux kernels.
  * Add build-arch/build-indep targets and clean up debian/rules (in
    particular, avoid touching build-stamp from the binary target).
  * Correct Vcs-Browser URL.
  * Restore watch file.
  * Remove obsolete Encoding key from the desktop file.
  * Drop build-dependency on quilt, and correct debian/rules
    appropriately.
  * Add headers to all the patches.
  * Ship NEWS as the upstream changelog.
  * Re-enable typos.patch to fix another typo.
  * Update copyright years and format URL.
  * Rework libraries.patch to use pkg-config for all libraries.
  * Rework flag management to allow hardened builds.
  * Standards-Version 3.9.3, no further change required.

 -- Stephen Kitt <steve@sk2.org>  Mon, 28 May 2012 23:49:12 +0200

jstest-gtk (0.1.1~git20090722-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": add patch gcc-4.7.patch from Paul Tagliamonte
    (adds missing include).
    Closes: #667217

 -- gregor herrmann <gregoa@debian.org>  Sun, 22 Apr 2012 15:56:27 +0200

jstest-gtk (0.1.1~git20090722-1) unstable; urgency=low

  * Initial release (Closes: #527962).

 -- Stephen Kitt <steve@sk2.org>  Tue, 22 Feb 2011 22:44:48 +0100
