=== debian/control ===
Source: jstest-gtk
Section: utils
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <steve@sk2.org>
Build-Depends: debhelper (>= 7), scons, dh-buildinfo,
 libgtkmm-2.4-dev, libsigc++-2.0-dev, libexpat1-dev, libx11-dev
Standards-Version: 3.9.3
Homepage: http://pingus.seul.org/~grumbel/jstest-gtk/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/jstest-gtk/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/jstest-gtk/

Package: jstest-gtk
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: joystick
Suggests: jstest-gtk-dbg (= ${binary:Version})
Description: joystick testing and configuration tool
 jstest-gtk is a simple graphical joystick tester. It provides a list
 of attached joysticks, and for each one can display which buttons and
 axes are pressed, remap axes and buttons, and calibrate the device.
 .
 Even when your joystick is working mostly fine, you might want to
 give it a try, as the calibration lets you get rid of overlarge
 default deadzones that many joysticks use and which are a noticeable
 problem in some games.
 .
 Installing the joystick package in addition to this one will allow
 you to store your calibration settings and mappings and have the
 automatically restored.

Package: jstest-gtk-dbg
Section: debug
Priority: extra
Architecture: linux-any
Depends: jstest-gtk (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: joystick testing and configuration tool - debug
 jstest-gtk is a simple graphical joystick tester. It provides a list
 of attached joysticks, and for each one can display which buttons and
 axes are pressed, remap axes and buttons, and calibrate the device.
 .
 Even when your joystick is working mostly fine, you might want to
 give it a try, as the calibration lets you get rid of overlarge
 default deadzones that many joysticks use and which are a noticeable
 problem in some games.
 .
 This package contains the debugging symbols.
