## jstest-gtk 0.1.1~git20140501

=== SConstruct ===
--- 
+++ 
@@ -15,9 +15,8 @@
 ##  You should have received a copy of the GNU General Public License
 ##  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-env = Environment(CXXFLAGS=["-g", "-Wall", "-Werror"],
-                  LIBS=["expat"])
-env.ParseConfig('pkg-config --cflags --libs gtkmm-2.4 sigc++-2.0')
+env = Environment(CXXFLAGS=["-g", "-Wall", "-Werror"])
+env.ParseConfig('pkg-config --cflags --libs gtkmm-2.4 sigc++-2.0 expat x11')
 env.Program('jstest-gtk', [
     'src/axis_widget.cpp',
     'src/button_widget.cpp',
