=== debian/changelog ===
jstest-gtk (0.1.1~git20140501-2) unstable; urgency=medium

  * Fix flags-from-env.patch so the package builds again.
  * Refresh patches.
  * Upgrade to debhelper compatibility level 9.
  * Rework debian/rules in simplified dh style.
  * Drop Debian-specific menu.
  * Add keywords to the .desktop file.
  * Standards-Version 3.9.6, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 10 Nov 2015 09:19:53 +0100

jstest-gtk (0.1.1~git20140501-1) unstable; urgency=low

  * New upstream snapshot.
  * Drop libraries.patch, gcc-4.7.patch and typos.patch, merged upstream.
  * Move packaging to git.
  * Switch to my Debian address.
  * Standards-Version 3.9.5, no change required.
  * Switch to default compression options.

 -- Stephen Kitt <skitt@debian.org>  Mon, 05 May 2014 21:57:06 +0200
