=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: utils
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Stephen Kitt <steve@sk2.org>
-Build-Depends: debhelper (>= 7), scons, dh-buildinfo,
+Uploaders: Stephen Kitt <skitt@debian.org>
+Build-Depends: debhelper (>= 9), scons, dh-buildinfo,
  libgtkmm-2.4-dev, libsigc++-2.0-dev, libexpat1-dev, libx11-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://pingus.seul.org/~grumbel/jstest-gtk/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/jstest-gtk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/jstest-gtk/
+Vcs-Git: git://anonscm.debian.org/pkg-games/jstest-gtk.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/jstest-gtk.git
 
 Package: jstest-gtk
 Architecture: linux-any
