=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS := $(shell DEB_LDFLAGS_MAINT_APPEND="-Wl,-z,defs -Wl,--as-needed" dpkg-buildflags --get LDFLAGS)
# SCons passes $LINKFLAGS to the compiler as a single argument
# so we build up a single -Wl argument
LINKFLAGS = -Wl$(shell for arg in $(subst -Wl,,$(LDFLAGS)); do echo -n $$arg; done)
export CPPFLAGS CFLAGS CXXFLAGS LINKFLAGS

%:
	dh $@

override_dh_auto_build:
	scons \
		prefix=/usr \
		resources_dir=/usr/share/jstest-gtk \
		lib_dir="$(CURDIR)"

override_dh_auto_clean:
	-scons -c

override_dh_strip:
	dh_strip --dbg-package=jstest-gtk-dbg

override_dh_installchangelogs:
	dh_installchangelogs NEWS
