=== debian/changelog ===
jstest-gtk (0.1.1~git20160825-4) unstable; urgency=medium

  [ Reiner Herrmann ]
  * Update upstream URLs.

  [ Stephen Kitt ]
  * Switch to debhelper compatibility level 13.
  * Drop the -dbg Breaks/Replaces, the migration is long done.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.5.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 14 Jan 2021 09:11:55 +0100

jstest-gtk (0.1.1~git20160825-3) unstable; urgency=medium

  * Migrate to Salsa.
  * Switch to debhelper compatibility level 11.
  * Update debian/copyright.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 09 May 2018 11:38:10 +0200

jstest-gtk (0.1.1~git20160825-2) unstable; urgency=medium

  * Hard-code the data directory instead of relying on binreloc
    (closes: #850022, #850569).
  * Enable all hardening options.

 -- Stephen Kitt <skitt@debian.org>  Tue, 10 Jan 2017 09:08:01 +0100

jstest-gtk (0.1.1~git20160825-1) unstable; urgency=medium

  * New upstream snapshot, switching to CMake.
  * Migrate to dbgsym debug packages.
  * Switch to https: VCS URIs (see #810378).
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no change required.
  * Switch to debhelper compatibility level 10.

 -- Stephen Kitt <skitt@debian.org>  Mon, 12 Dec 2016 23:08:53 +0100
