=== debian/control ===
Source: jstest-gtk
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libgtkmm-2.4-dev,
               libsigc++-2.0-dev,
               libexpat1-dev,
               libx11-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/games-team/jstest-gtk
Vcs-Git: https://salsa.debian.org/games-team/jstest-gtk.git
Homepage: https://jstest-gtk.gitlab.io/
Rules-Requires-Root: no

Package: jstest-gtk
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: joystick
Description: joystick testing and configuration tool
 jstest-gtk is a simple graphical joystick tester. It provides a list
 of attached joysticks, and for each one can display which buttons and
 axes are pressed, remap axes and buttons, and calibrate the device.
 .
 Even when your joystick is working mostly fine, you might want to
 give it a try, as the calibration lets you get rid of overlarge
 default deadzones that many joysticks use and which are a noticeable
 problem in some games.
 .
 Installing the joystick package in addition to this one will allow
 you to store your calibration settings and mappings and have the
 automatically restored.
