=== debian/watch ===
version=4
https://jstest-gtk.gitlab.io/ jstest-gtk-@ANY_VERSION@@ARCHIVE_EXT@
