## jstest-gtk 0.1.1~git20180602

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # jstest-gtk - A graphical joystick tester
-# Copyright (C) 2015 Ingo Ruhnke <grumbel@gmx.de>
+# Copyright (C) 2015 Ingo Ruhnke <grumbel@gmail.com>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -16,6 +16,8 @@
 
 cmake_minimum_required(VERSION 2.8)
 project(jstest-gtk)
+
+include(GNUInstallDirs)
 
 option(WARNINGS "Switch on extra warnings" OFF)
 option(WERROR "Turn warnings into errors" OFF)
@@ -45,18 +47,21 @@
 endif()
 
 find_package(PkgConfig REQUIRED)
-pkg_search_module(GTKMM REQUIRED gtkmm-2.4)
+find_package(Threads)
+pkg_search_module(GTKMM REQUIRED gtkmm-3.0)
 pkg_search_module(SIGCPP REQUIRED sigc++-2.0)
 pkg_search_module(X11 REQUIRED x11)
 
-add_library(binreloc STATIC ${CMAKE_CURRENT_SOURCE_DIR}/external/binreloc-2.0/binreloc.c)
-set_property(TARGET binreloc PROPERTY COMPILE_DEFINITIONS ENABLE_BINRELOC)
+# Copy data files over to build/
+file(GLOB JSTEST_GTK_DATA data/*.png)
+file(
+  COPY ${JSTEST_GTK_DATA}
+  DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/data/)
 
 file(GLOB JSTEST_GTK_SOURCES src/*.cpp)
 
 add_executable(jstest-gtk ${JSTEST_GTK_SOURCES})
 include_directories(
-  ${CMAKE_CURRENT_SOURCE_DIR}/external/binreloc-2.0/
   ${GTKMM_INCLUDE_DIRS}
   ${SIGCPP_INCLUDE_DIRS}
   ${X11_INCLUDE_DIRS})
@@ -66,9 +71,39 @@
   ${X11_CFLAGS_OTHER}
   ${WARNINGS_CXX_FLAGS})
 target_link_libraries(jstest-gtk
-  binreloc
+  ${CMAKE_THREAD_LIBS_INIT}
   ${GTKMM_LIBRARIES}
   ${SIGCPP_LIBRARIES}
   ${X11_LIBRARIES})
 
+
+install(TARGETS jstest-gtk
+  RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR})
+
+configure_file(
+  ${CMAKE_CURRENT_SOURCE_DIR}/jstest-gtk.sh.in
+  ${CMAKE_BINARY_DIR}/jstest-gtk.sh)
+
+install(FILES
+  ${CMAKE_BINARY_DIR}/jstest-gtk.sh
+  RENAME jstest-gtk
+  PERMISSIONS OWNER_EXECUTE OWNER_READ OWNER_WRITE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
+  DESTINATION ${CMAKE_INSTALL_BINDIR})
+
+install(DIRECTORY data/ DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}
+  PATTERN "*~" EXCLUDE)
+
+install(FILES
+  jstest-gtk.desktop
+  DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
+
+install(FILES
+  data/generic.png
+  DESTINATION ${CMAKE_INSTALL_DATADIR}/pixmaps)
+
+install(FILES
+  ${CMAKE_CURRENT_SOURCE_DIR}/jstest-gtk.1
+  DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
+
+
 # EOF #
