=== debian/changelog ===
jstest-gtk (0.1.1~git20180602-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:58:19 +1100

jstest-gtk (0.1.1~git20180602-2build1) noble; urgency=medium

  * Rebuild against latest glibmm2.4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 14 Mar 2024 11:10:49 -0400

jstest-gtk (0.1.1~git20180602-2) unstable; urgency=medium

  * Rely on the new upstream installation process; this allows jstest-gtk
    to find its files without hard-coding its data directory.
    Closes: #1051546.
  * Update debian/copyright to reflect upstream changes.
  * Upstream provides a man page and .desktop file, remove ours.
  * Install the icon directly using the expected name instead of linking
    to it.
  * Standards-Version 4.6.2, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 10 Sep 2023 08:11:57 +0200

jstest-gtk (0.1.1~git20180602-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.1.1~git20180602.
  * Switch to gtkmm-3.0. (Closes: #1041797)
  * Drop unnecessary Build-Dependency expat.

 -- Bastian Germann <bage@debian.org>  Mon, 31 Jul 2023 16:32:32 +0200
