=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: jstest-gtk
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libgtkmm-2.4-dev,
+               libgtkmm-3.0-dev,
                libsigc++-2.0-dev,
-               libexpat1-dev,
                libx11-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/games-team/jstest-gtk
 Vcs-Git: https://salsa.debian.org/games-team/jstest-gtk.git
 Homepage: https://jstest-gtk.gitlab.io/
