=== debian/changelog ===
jstest-gtk (0.1.1~git20250403.92bdf8e-1) unstable; urgency=medium

  * New upstream snapshot, compatible with CMake 4. Closes: #1113064.
  * The project is now hosted on GitHub, update upstream URLs
    accordingly.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 28 Sep 2025 19:20:07 +0200
