=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: jstest-gtk
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: utils
 Priority: optional
@@ -9,10 +8,10 @@
                libgtkmm-3.0-dev,
                libsigc++-2.0-dev,
                libx11-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/games-team/jstest-gtk
 Vcs-Git: https://salsa.debian.org/games-team/jstest-gtk.git
-Homepage: https://jstest-gtk.gitlab.io/
+Homepage: https://github.com/Grumbel/jstest-gtk
 Rules-Requires-Root: no
 
 Package: jstest-gtk
