=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0.1.1~git%cd.%h" \
https://github.com/Grumbel/jstest-gtk \
HEAD
